# Smart Grid Ethan Version

<!--toc:start-->

- [Smart Grid Ethan Version](#smart-grid-ethan-version)
    - [Definition](#definition)
    - [Present state](#present-state)
    - [Perspective](#perspective)
    - [Challenges](#challenges)
    - [Electricity market](#electricity-market)
    - [Data flow](#data-flow)
        - [Intro (WTF)](#intro-wtf)
        - [Integrating data with ML](#integrating-data-with-ml)
    - [Summary](#summary)
    - [Examples](#examples)
        - [Shell energy](#shell-energy)
        - [TESLA](#tesla)

<!--toc:end-->

## Definition

- Definition of electrical grid:
    - Power station does **generation and storage**
    - Transformers, lines are the **transmission** and **distribution**
    - Electricity retailer sell electricity to **consumers**

## Present state

- same as above
    - Generation
    - Transmission
    - Distribution
        - TO customer
        - Industrial, commercial, residential

## Perspective

- Combine present grid grid with new technology: present + future
- Futuristic grid: reasons
    - New technologies
    - Customer likes improvements
    - More data
    - AI
    - Climate change

## Challenges

- Pattern of electricity usage varies
- Renewable energy are not continuous (intermittent)
- Seasonality: Summer and winter differences
- Power plants has different responding times and prices
- Electric trading is complex (P2P electricity)
- Usage of Electric stuff: EV, IoT
- Climate change
- Network transmission need the capacity

## Electricity market

- A market mechanism to buy additional energy when demand is high, and sell when
  demand is low.
- High demand and low supply causes price increase
- Low demand and high supply cause price decrease
- Introduce a exchange market, that electricity resellers and major consumers
  can buy from both exchange and from power plants

## Data flow

### Intro (WTF)

- ![stuff ahh](./assets/3-ethan-smart-grid-data-flow.webp)

### Integrating data with ML

- For demand forecasting: for the demand in the long term
    - Use population data, energy price, share of renewable energy and GDP to
      predict future energy consumption
- Demand time series forecasting: for the demand in a time interval
    - ![example 1](./assets/3-ethan-smart-grid-forecasting-1.webp)
    - ![example 2](./assets/3-ethan-smart-grid-forecasting-2.webp)

## Summary

- The problems:
    - Cost (Equity)
    - Sustainability (Green)
    - Security

## Examples

### Shell energy

- Battery and energy trading
    - ![shit](./assets/3-ethan-smart-grid-shell.webp)

### TESLA

- Megapack project: stores energy for the grid reliably and safely.
- Each unit store a lot of energy, and withstands extreme weathers
