# Smart climate

## Definition

- Climate Data Record: Data to make climate smart:
    - Time series of measurements
    - Length, consistency, continuity
    - Determine climate variability, and change
- To monitor changes in order to predict / mitiagte the consequences
- Variability:
    - El Nino
    - La Nina
- Land disturbance: A **event** that triggers disrupts in ecosystems, community
  or population structure, and changes resources, substance availability or
  physical environment
- Climate change: global warming
- Succession
    - Process that the structure of a biological community changes over time

## Reason

- Animal-based food production emits GCG
- Climate change
- Areas affected by desertification

## Implementation

- Before smart climate
    - Data collected and managed by governments
    - Greenhouse gas (GCG) emission relies on self reporting
        - Calculated based on known fuel consumption
    - Data is sparse in space and time, also incomplete
- Earth observation: acquire data from a variety of sensors
    - Remote sensing:
        - Capture images in a spectrum
        - Classify land coverage and use, incl. change over time
        - Measure the geometry of natural and human made objects
        - Identify and differenciate species of vegetation
- Carbon Dioxide Removal (CDR)
- Change agent characterization:
    - Change agent: a driver or factor of change
    - Direct or proxiamte causes
    - Distal or underlying driving forces
    - Attribution:
        - Can happen simultaneously or in proximity
        - Result in change
        - Challenging to collect high quality change agent

## Examples

### Detecting fire with remote sensing

### Detecting change agent
#### Using random forest

### Detecting deforestation with remote sensing

### Frequency of observations



## Collaborate for better EO information
- data fusion proces
    - Input: Hetereogeneous data 
    - Process: data alignment and data / object correlation
    - Intemediate output: Alighed and correlated data
    - Process: Attribute or identity estimation
    - Result: fusion data
- Obervation level, feature level, decision level
