# Smart healthcare

<!--toc:start-->

- [Smart healthcare](#smart-healthcare)
    - [Intro](#intro)
    - [Reasons](#reasons)
    - [Implementation](#implementation)
    - [Research: data driven health accessment](#research-data-driven-health-accessment)
        - [Background](#background)
        - [Data](#data)
            - [Wearables](#wearables)
            - [Patient Health Records](#patient-health-records)
            - [Structured vs. unstructured](#structured-vs-unstructured)
        - [Smart digital health platform](#smart-digital-health-platform)
            - [Diagram](#diagram)
            - [Use Cases](#use-cases)
        - [Conclusion](#conclusion)

<!--toc:end-->

## Intro

- History: ![history](./assets/5-smart-health-history.webp)
- Patient centric
- Precision medicine
- Atrial digital twins

## Reasons

- Current problems:
    - Global Health Disparities
    - Unequal shortage of healthcare workers
    - Increasing rate of burnout in healthcare
    - Mental health
    - Sustainable Development Goal 3
- What smart healthcare can help
    - Remote doctor consult
    - Reduce un-necessary hospital visits
    - Democratize healthcare access
- Remote emergency
    - 5G powered emergency channel give doctor real time view
    - Real time access of vital signs like ECG, ultrasound image, and blood
      pressure
    - Access to medical history
    - Doctors guide paramedics in ambulance
- Drug discovery
    - Cost saving and agility methods
    - All fancy words including (ML, DL, ANN)
- Offset a shortage of specialists
    - AI can help in aiding diagnosis
- Before smart hospitals
    - Data presented is overwhelming
        - hindering the ability of using it effectively
    - People trip and die in hospitals
    - Too much administration work
    - Shortage of qualified staff
    - Spending wasted in managing assets
    - Nurses waste time in searching for medical equipment
- Benefits of smart hospitals
    - Save money on asset searching
    - Reminder
    - Home-based health monitoring reduces re-admission
    - Eliminate emergency
    - Warning of deterioration

## Implementation

- EMR: Electronic medical records
    - Diagnosis, Image Data, Unstructured text data, Medications, Procedures,
      Lab tests
    - Data is challenging to use: high dimensionality, sparse, noisy, irregular,
      biased
- IoMT: lots of data, lots of money going in
- Healthcare technology: Better quality of life, with less money required
    - ![stupid diagram](./assets/5-smart-health-benefit.webp)

## Research: data driven health accessment

### Background

- Role of AI
    - Detection of aliment
    - Improve decision making
    - Help in treatment
    - Superior experience
- Tech revolution
    - Automated steps in diagnostic process
    - Can acquire different types of data, representing the physiology of humans
        - Images: MRI, CT
        - Wearable devices
        - Electronic health records
        - Robotics
    - ML learn from data, so that it can make decisions like human brain

### Data

#### Wearables

- Versatile monitoring

#### Patient Health Records

- Personal demographics: age, gender, ethnicity, weight, height, BMI
- Medical parameters: blood, pressure, fat, blood sugar, plasma
- Non-medical parameters: physical activity, diet plan
- Questionnaires filled
- Text mining can be performed

#### Structured vs. unstructured

- Structured: Time, date and code in diagnosis logs, can be stored in RDBMS
- Semi-structured: medication taken, procedures, allergic reactions
- Unstructured: Clinical notes, need NLP tools

### Smart digital health platform

#### Diagram

![stuff](./assets/5-smart-health-platform.webp)

#### Use Cases

- Heart disease detection
- Computer aided retinal disease diagnosis

### Conclusion

- Future of healthcare technology involves:
    - Self monitoring
    - AI for health management
- Research is being developed to integrate real-time data with technology
    - Require future clinical trails
- Explainable artificial intelligence:
    - Need model transparency for clinicians and stakeholders
- Need collaboration in all fields:
    - Academics
    - Clinicians
    - Industries
    - Stakeholders
